#ifndef _CHATWDGT_H_
#define _CHATWDGT_H_

#include <qwidget.h>

class QTextEdit;
class QLineEdit;
class QString;
class QListView;

class ChatWdgt : public QWidget
{
  Q_OBJECT

public:
  ChatWdgt(bool priv=false, QWidget *parent=0,const char *name = 0);
  bool is_private();

  // yeah I know
  QLineEdit *chatEditPtr() const { return chatEdit; }
  
public slots:
  void addChatStr( const QString& );
  void emitClose();

private:
  QLineEdit *chatEdit;
  QTextEdit *chatText;
  bool is_priv;        // private or public chat?

private slots:
  void handleReturn();

signals:
  void newChatStr(const QString&, QWidget*);
  void close(QWidget*);
};

#endif
