#ifndef DCPARSE_H
#define DCPARSE_H

#include <qstring.h>

const int HUBNAME = 0;
const int HUBIP = 1;
const int COMMENT = 2;
const int NUMUSERS = 3;

class dc_parse
{
public:
	dc_parse(const QString &s, char c, bool remove = false) : str(s) 
	{ 
		sep = c; 

		if (remove)
			remove_quotes();
	}
	~dc_parse() {}

	int num_strs();
	const QString get_str(int n);
	void remove_quotes();

	// Sometimes I wanna parse it myself, after removing quotes...
	QString source() { return str; }

private:
	QString str;
	char sep;
};

#endif
