/*
  Copyright 2003 Rikard Bjrklind, Mikael Gransell

  This file is part of dc-qt.

  dc-qt is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  dc-qt is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with dc-qt; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "file_transfer_lv_item.h"
#include "util.h"

void file_transfer_lv_item::update_data()
{
	QString p, t;

	p.sprintf("%.2lf%%", percent_done());
	t.sprintf("%.2lfK/s", transfer_speed());
	
	setText(6, file);
	setText(2, bytes_to_units(total_size));
	setText(3, p);
	setText(4, t);
	setText(5, sec_to_time(estimated_time()));
}
