#ifndef __FILE_LIST_ITEM_H__
#define __FILE_LIST_ITEM_H__

#include <qlistview.h>
#include "util.h"

class FileListItem : public QListViewItem
{
public:
     FileListItem( QListView * parent, 
		   QString label1, 
		   QString label2 = QString::null, 
		   QString aSize = QString::null, 
		   QString label4 = QString::null, 
		   QString label5 = QString::null,
		   QString label6 = QString::null,
		   QString label7 = QString::null,
		       QString label8 = QString::null );
    
    virtual int compare(QListViewItem * i, int col, bool ascending ) const;
 
virtual void paintCell ( QPainter * p, const QColorGroup & cg, int column, int width, int align);

int Size() const { return size;}

private:
int size;
	  
};



#endif
