#ifndef __SEARCHWDGT_H__
#define __SEARCHWDGT_H__

#include <qwidget.h>
class QLineEdit;
class QPushButton;
class QComboBox;
class QSpinBox;

class SearchWdgt : public QWidget
{
     Q_OBJECT
public:
     SearchWdgt(QWidget *parent=0, const char *name=0);
     ~SearchWdgt() {}

signals:
     void newSearch(const QString&, bool multiHub);

private:
     QLineEdit *searchEdit;
     QPushButton *sbtn;
     QPushButton *msbtn;
     QComboBox *lbox;
     QComboBox *sbox;
     QSpinBox *spin;
     QComboBox *ubox;

 private slots:
 void commit();
     void mcommit();
};



#endif
