#ifndef HUB_INFO_H
#define HUB_INFO_H

#include <qstring.h>

class hub_info
{
public:
	hub_info(const QString &n, 
		 const QString &i, 
		 const QString &c, 
		 const QString &u,
		 const QString &pw = QString::null, 
		 int p = 0)	
		: name(n), ip(i), comment(c), users(u), pwd(pw) {pid = p;}
	
	QString name;
	QString ip;
	QString comment;
	QString users;
	QString pwd;

	int pid;
	
	bool operator==(const hub_info &h)
	{
		return name == h.name &&
			ip == h.ip;
	}

	bool operator!=(const hub_info &h)
	{
		return !(*this == h);
	}
};

#endif
