#include <qlistview.h>
#include <qstring.h>

#include "hub_info.h"

class hub_lv_item : public QListViewItem
{
public:
	
	hub_lv_item(QListView *parent, QString &n, QString &i, QString &c, QString &u) 
		: QListViewItem(parent, n, i, c, u) {}

	int compare(QListViewItem *i, int col, bool ascending) const
	{
		if (col == NUMUSERS)
		{
			int a = key(col, ascending).toInt();
			int b = i->key(col, ascending).toInt();

			if (a < b) return -1;
			if (a > b) return 1;
			
			return 0;
		}

		return key(col, ascending).compare(i->key(col, ascending));
	}
};
