
#ifndef _PREVIEW_DLG_H_
#define _PREVIEW_DLG_H_

#include <qdialog.h>

class preview_widget;

class preview_dialog : public QDialog
{
  Q_OBJECT

protected:
  virtual void closeEvent(QCloseEvent * e);
  virtual void moveEvent(QMoveEvent *);

public:
  preview_dialog ( QWidget* parent = 0, const char* name = 0 );

public slots:

  void slot_add_history_file(const QString&, const QString &);
  void slot_play_file(const QString&, const QString&);

private:
  preview_widget *preview;
};

#endif
