#ifndef __QUEUE_ITEM_H__
#define __QUEUE_ITEM_H__

#include <qlistview.h>

class QueueItem : public QListViewItem
{
public:
     QueueItem(QListView *parent, int gdl, const QString &nick, const QString &filename,const QString &size, float percentRec) :
	  QListViewItem(parent), gdlId(gdl)
	  {
	       setText(0,nick);
	       setText(1,filename);
	       setText(2,size);
	       setText(3,QString::number(percentRec,'f',1));
	  }
     int GDL() {return gdlId;}
     const QString User() const {return text(0);}
    const QString File() const {return text(1);}
private:
     int gdlId;

};





#endif
